SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
SLNet::RakNetRandomSync Class Reference

`#include <slikenet/RandSync.h>`

## Public Member Functions

| RakNetRandomSync ()
virtual | ~RakNetRandomSync ()
void | SeedMT (uint32_t _seed)
void | SeedMT (uint32_t _seed, uint32_t skipValues)
float | FrandomMT (void)
unsigned int | RandomMT (void)
uint32_t | GetSeed (void) const
uint32_t | GetCallCount (void) const
void | SetCallCount (uint32_t i)
virtual void | SerializeConstruction (SLNet::BitStream *constructionBitstream)
virtual bool | DeserializeConstruction (SLNet::BitStream *constructionBitstream)
virtual void | Serialize (SLNet::BitStream *outputBitstream)
virtual void | Deserialize (SLNet::BitStream *outputBitstream)

## Protected Member Functions

void | Skip (uint32_t count)

## Protected Attributes

DataStructures::Queue < unsigned int > | usedValues
uint32_t | seed
uint32_t | callCount
uint32_t | usedValueBufferCount
RakNetRandom | rnr

## Detailed Description

Definition at line 34 of file RandSync.h.

## Constructor & Destructor Documentation

SLNet::RakNetRandomSync::RakNetRandomSync | ( |  | ) |

Definition at line 24 of file RandSync.cpp.

References callCount, seed, and usedValueBufferCount.

SLNet::RakNetRandomSync::~RakNetRandomSync | ( |  | ) |

virtual

Definition at line 30 of file RandSync.cpp.

## Member Function Documentation

void SLNet::RakNetRandomSync::Deserialize | ( | SLNet::BitStream * | outputBitstream | ) |

virtual

Definition at line 107 of file RandSync.cpp.

References callCount, SLNet::BitStream::Read(), Skip(), and usedValueBufferCount.

bool SLNet::RakNetRandomSync::DeserializeConstruction | ( | SLNet::BitStream * | constructionBitstream | ) |

virtual

Definition at line 93 of file RandSync.cpp.

References SLNet::BitStream::Read(), and SeedMT().

float SLNet::RakNetRandomSync::FrandomMT | ( | void |  | ) |

Definition at line 45 of file RandSync.cpp.

References RandomMT().

uint32_t SLNet::RakNetRandomSync::GetCallCount | ( | void |  | ) | const

Definition at line 80 of file RandSync.cpp.

References callCount.

uint32_t SLNet::RakNetRandomSync::GetSeed | ( | void |  | ) | const

Definition at line 76 of file RandSync.cpp.

References seed.

unsigned int SLNet::RakNetRandomSync::RandomMT | ( | void |  | ) |

Definition at line 49 of file RandSync.cpp.

References _FILE_AND_LINE_, callCount, DataStructures::Queue< queue_type >::Pop(), DataStructures::Queue< queue_type >::Push(), SLNet::RakNetRandom::RandomMT(), rnr, DataStructures::Queue< queue_type >::Size(), usedValueBufferCount, and usedValues.

Referenced by FrandomMT().

void SLNet::RakNetRandomSync::SeedMT | ( | uint32_t | _seed | ) |

Definition at line 33 of file RandSync.cpp.

References callCount, rnr, seed, SLNet::RakNetRandom::SeedMT(), and usedValueBufferCount.

Referenced by DeserializeConstruction(), and SeedMT().

void SLNet::RakNetRandomSync::SeedMT | ( | uint32_t | _seed,
|  | uint32_t | skipValues
| ) |  |

Definition at line 40 of file RandSync.cpp.

References SeedMT(), and Skip().

void SLNet::RakNetRandomSync::Serialize | ( | SLNet::BitStream * | outputBitstream | ) |

virtual

Definition at line 103 of file RandSync.cpp.

References callCount, and SLNet::BitStream::Write().

void SLNet::RakNetRandomSync::SerializeConstruction | ( | SLNet::BitStream * | constructionBitstream | ) |

virtual

Definition at line 88 of file RandSync.cpp.

References callCount, seed, and SLNet::BitStream::Write().

void SLNet::RakNetRandomSync::SetCallCount | ( | uint32_t | i | ) |

Definition at line 84 of file RandSync.cpp.

References callCount.

void SLNet::RakNetRandomSync::Skip | ( | uint32_t | count | ) |

protected

Definition at line 127 of file RandSync.cpp.

References callCount, SLNet::RakNetRandom::RandomMT(), and rnr.

Referenced by Deserialize(), and SeedMT().

## Member Data Documentation

uint32_t SLNet::RakNetRandomSync::callCount

protected

Definition at line 56 of file RandSync.h.

Referenced by Deserialize(), GetCallCount(), RakNetRandomSync(), RandomMT(), SeedMT(), Serialize(), SerializeConstruction(), SetCallCount(), and Skip().

RakNetRandom SLNet::RakNetRandomSync::rnr

protected

Definition at line 58 of file RandSync.h.

Referenced by RandomMT(), SeedMT(), and Skip().

uint32_t SLNet::RakNetRandomSync::seed

protected

Definition at line 55 of file RandSync.h.

Referenced by GetSeed(), RakNetRandomSync(), SeedMT(), and SerializeConstruction().

uint32_t SLNet::RakNetRandomSync::usedValueBufferCount

protected

Definition at line 57 of file RandSync.h.

Referenced by Deserialize(), RakNetRandomSync(), RandomMT(), and SeedMT().

DataStructures::Queue<unsigned int> SLNet::RakNetRandomSync::usedValues

protected

Definition at line 54 of file RandSync.h.

Referenced by RandomMT().

The documentation for this class was generated from the following files:

- Source/include/slikenet/RandSync.h
- Source/src/RandSync.cpp